package com.byteslounge.audit;

import java.io.Serializable;

import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;

@Audit
@Interceptor
public class AuditInterceptor implements Serializable {

	private static final long serialVersionUID = 1L;

	@AroundInvoke
	public Object auditMethodCall(InvocationContext invocationContext)
			throws Exception {
		System.out.println("Intercepting call to method: "
				+ invocationContext.getMethod().getName());
		return invocationContext.proceed();
	}
}
